syntax on
filetype plugin on
filetype indent on

"colorscheme PaperColor
"colorscheme solarized
colorscheme wombat

" Basics
set t_Co=256
set encoding=utf8
set nocompatible
set background=dark
" set background=light

" General
" setlocal spell spelllang=en_us
set fileformats=unix,dos,mac
set nostartofline
set history=10000
set autoread
set autochdir
set colorcolumn=81

" Have tab complete work more like bash
set wildmenu
set wildmode=list:longest
set backspace=start,eol,indent
set whichwrap+=<,>,[,]
set magic

" Turn on omni completion. Must have `filetype plugin on` to use.
" To use, in insert mode press ctrl+x ctrl+o
set omnifunc=syntaxcomplete#Complete
set completeopt=menu,longest,preview

" Tabs
set expandtab
set shiftwidth=4
set softtabstop=4
set tabstop=4

" Indent
set autoindent
set smartindent
set copyindent
set preserveindent
set shiftround

" Status
" ~/file [type] [line,column] [number of lines]
set statusline=%F%m%r%h%w\ [%Y]\ [%03l,%03v]\ [%L]
set laststatus=2

" Text Formatting/Layout
set nowrap
set ignorecase
set smartcase
set list
set listchars=tab:\ \ ,trail:…

" UI
set showcmd
set ruler
set number relativenumber
set numberwidth=4
set hidden

" Cues
set showmatch
set matchtime=2
set hlsearch
set incsearch
set scrolloff=5
set sidescrolloff=5
set noerrorbells
set novisualbell
set t_vb=
set tm=500
